# Uses of Class
ch.qos.logback.core.net.ssl.SecureRandomFactoryBean

Packages that use SecureRandomFactoryBean
Package
Description
ch.qos.logback.core.net.ssl
Contains classes that create and configure a JSSE SSLContext needed for secure transport of logging events by SSLSocketAppender.

## Uses of SecureRandomFactoryBean in ch.qos.logback.core.net.ssl

Methods in ch.qos.logback.core.net.ssl that return SecureRandomFactoryBean
Modifier and Type
Method
Description
`SecureRandomFactoryBean`
SSLContextFactoryBean.`getSecureRandom()`
Gets the secure random generator configuration.
Methods in ch.qos.logback.core.net.ssl with parameters of type SecureRandomFactoryBean
Modifier and Type
Method
Description
`void`
SSLContextFactoryBean.`setSecureRandom(SecureRandomFactoryBean secureRandom)`
Sets the secure random generator configuration.